Package org.kapott.hbci.sepa.jaxb.camt_052_001_03

## Class CardAggregated1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_03.CardAggregated1

    public class CardAggregated1
    extends java.lang.Object

Java class for CardAggregated1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CardAggregated1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AddtlSvc" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}CardPaymentServiceType2Code" minOccurs="0"/>
             <element name="TxCtgy" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}ExternalCardTransactionCategory1Code" minOccurs="0"/>
             <element name="SaleRcncltnId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Max35Text" minOccurs="0"/>
             <element name="SeqNbRg" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}CardSequenceNumberRange1" minOccurs="0"/>
             <element name="TxDtRg" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}DateOrDateTimePeriodChoice" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected CardPaymentServiceType2Code` `addtlSvc`
`protected java.lang.String` `saleRcncltnId`
`protected CardSequenceNumberRange1` `seqNbRg`
`protected java.lang.String` `txCtgy`
`protected DateOrDateTimePeriodChoice` `txDtRg`

### Constructor Summary

Constructors
`CardAggregated1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CardPaymentServiceType2Code` `getAddtlSvc()` Gets the value of the addtlSvc property.
`java.lang.String` `getSaleRcncltnId()` Gets the value of the saleRcncltnId property.
`CardSequenceNumberRange1` `getSeqNbRg()` Gets the value of the seqNbRg property.
`java.lang.String` `getTxCtgy()` Gets the value of the txCtgy property.
`DateOrDateTimePeriodChoice` `getTxDtRg()` Gets the value of the txDtRg property.
`void` `setAddtlSvc​(CardPaymentServiceType2Code value)` Sets the value of the addtlSvc property.
`void` `setSaleRcncltnId​(java.lang.String value)` Sets the value of the saleRcncltnId property.
`void` `setSeqNbRg​(CardSequenceNumberRange1 value)` Sets the value of the seqNbRg property.
`void` `setTxCtgy​(java.lang.String value)` Sets the value of the txCtgy property.
`void` `setTxDtRg​(DateOrDateTimePeriodChoice value)` Sets the value of the txDtRg property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### addtlSvc

    protected CardPaymentServiceType2Code addtlSvc

#### txCtgy

    protected java.lang.String txCtgy

#### saleRcncltnId

    protected java.lang.String saleRcncltnId

#### seqNbRg

    protected CardSequenceNumberRange1 seqNbRg

#### txDtRg

    protected DateOrDateTimePeriodChoice txDtRg

### Constructor Detail

#### CardAggregated1

    public CardAggregated1()

### Method Detail

#### getAddtlSvc

    public CardPaymentServiceType2Code getAddtlSvc()

Gets the value of the addtlSvc property.

Returns:
  possible object is `CardPaymentServiceType2Code`

#### setAddtlSvc

    public void setAddtlSvc​(CardPaymentServiceType2Code value)

Sets the value of the addtlSvc property.

Parameters:
  `value` - allowed object is `CardPaymentServiceType2Code`

#### getTxCtgy

    public java.lang.String getTxCtgy()

Gets the value of the txCtgy property.

Returns:
  possible object is `String`

#### setTxCtgy

    public void setTxCtgy​(java.lang.String value)

Sets the value of the txCtgy property.

Parameters:
  `value` - allowed object is `String`

#### getSaleRcncltnId

    public java.lang.String getSaleRcncltnId()

Gets the value of the saleRcncltnId property.

Returns:
  possible object is `String`

#### setSaleRcncltnId

    public void setSaleRcncltnId​(java.lang.String value)

Sets the value of the saleRcncltnId property.

Parameters:
  `value` - allowed object is `String`

#### getSeqNbRg

    public CardSequenceNumberRange1 getSeqNbRg()

Gets the value of the seqNbRg property.

Returns:
  possible object is `CardSequenceNumberRange1`

#### setSeqNbRg

    public void setSeqNbRg​(CardSequenceNumberRange1 value)

Sets the value of the seqNbRg property.

Parameters:
  `value` - allowed object is `CardSequenceNumberRange1`

#### getTxDtRg

    public DateOrDateTimePeriodChoice getTxDtRg()

Gets the value of the txDtRg property.

Returns:
  possible object is `DateOrDateTimePeriodChoice`

#### setTxDtRg

    public void setTxDtRg​(DateOrDateTimePeriodChoice value)

Sets the value of the txDtRg property.

Parameters:
  `value` - allowed object is `DateOrDateTimePeriodChoice`